<?php
$tdataarea=array();
	$tdataarea[".NumberOfChars"]=80; 
	$tdataarea[".ShortName"]="area";
	$tdataarea[".OwnerID"]="";
	$tdataarea[".OriginalTable"]="area";


	
//	field labels
$fieldLabelsarea = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsarea["English"]=array();
	$fieldToolTipsarea["English"]=array();
	$fieldLabelsarea["English"]["IDAREA"] = "IDAREA";
	$fieldToolTipsarea["English"]["IDAREA"] = "";
	$fieldLabelsarea["English"]["Region"] = "Region";
	$fieldToolTipsarea["English"]["Region"] = "";
	$fieldLabelsarea["English"]["Area_Name"] = "Area Name";
	$fieldToolTipsarea["English"]["Area Name"] = "";
	$fieldLabelsarea["English"]["Description"] = "Description";
	$fieldToolTipsarea["English"]["Description"] = "";
	if (count($fieldToolTipsarea["English"])){
		$tdataarea[".isUseToolTips"]=true;
	}
}


	
	$tdataarea[".NCSearch"]=true;

	

$tdataarea[".shortTableName"] = "area";
$tdataarea[".nSecOptions"] = 0;
$tdataarea[".recsPerRowList"] = 1;	
$tdataarea[".tableGroupBy"] = "0";
$tdataarea[".mainTableOwnerID"] = "";
$tdataarea[".moveNext"] = 1;




$tdataarea[".showAddInPopup"] = false;

$tdataarea[".showEditInPopup"] = false;

$tdataarea[".showViewInPopup"] = false;


$tdataarea[".fieldsForRegister"] = array();

$tdataarea[".listAjax"] = false;

	$tdataarea[".audit"] = false;

	$tdataarea[".locking"] = false;
	
$tdataarea[".listIcons"] = true;
$tdataarea[".inlineEdit"] = true;




$tdataarea[".showSimpleSearchOptions"] = false;

$tdataarea[".showSearchPanel"] = true;


$tdataarea[".isUseAjaxSuggest"] = true;

$tdataarea[".rowHighlite"] = true;


// button handlers file names

$tdataarea[".addPageEvents"] = false;

$tdataarea[".arrKeyFields"][] = "IDAREA";

// use datepicker for search panel
$tdataarea[".isUseCalendarForSearch"] = false;

// use timepicker for search panel
$tdataarea[".isUseTimeForSearch"] = false;

$tdataarea[".isUseiBox"] = false;




$tdataarea[".isUseInlineEdit"] = true;
$tdataarea[".isUseInlineJs"] = $tdataarea[".isUseInlineAdd"] || $tdataarea[".isUseInlineEdit"];

$tdataarea[".allSearchFields"] = array();

$tdataarea[".globSearchFields"][] = "IDAREA";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("IDAREA", $tdataarea[".allSearchFields"]))
{
	$tdataarea[".allSearchFields"][] = "IDAREA";	
}
$tdataarea[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataarea[".allSearchFields"]))
{
	$tdataarea[".allSearchFields"][] = "Region";	
}
$tdataarea[".globSearchFields"][] = "Area Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Area Name", $tdataarea[".allSearchFields"]))
{
	$tdataarea[".allSearchFields"][] = "Area Name";	
}
$tdataarea[".globSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdataarea[".allSearchFields"]))
{
	$tdataarea[".allSearchFields"][] = "Description";	
}


$tdataarea[".googleLikeFields"][] = "IDAREA";
$tdataarea[".googleLikeFields"][] = "Region";
$tdataarea[".googleLikeFields"][] = "Area Name";
$tdataarea[".googleLikeFields"][] = "Description";



$tdataarea[".advSearchFields"][] = "IDAREA";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("IDAREA", $tdataarea[".allSearchFields"])) 
{
	$tdataarea[".allSearchFields"][] = "IDAREA";	
}
$tdataarea[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataarea[".allSearchFields"])) 
{
	$tdataarea[".allSearchFields"][] = "Region";	
}
$tdataarea[".advSearchFields"][] = "Area Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Area Name", $tdataarea[".allSearchFields"])) 
{
	$tdataarea[".allSearchFields"][] = "Area Name";	
}
$tdataarea[".advSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdataarea[".allSearchFields"])) 
{
	$tdataarea[".allSearchFields"][] = "Description";	
}

$tdataarea[".isTableType"] = "list";


	

$tdataarea[".isDisplayLoading"] = true;

$tdataarea[".isResizeColumns"] = false;





$tdataarea[".pageSize"] = 20;

$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataarea[".strOrderBy"] = $gstrOrderBy;
	
$tdataarea[".orderindexes"] = array();

$tdataarea[".sqlHead"] = "SELECT IDAREA,   Region,   `Area Name`,   Description";
$tdataarea[".sqlFrom"] = "FROM area";
$tdataarea[".sqlWhereExpr"] = "";
$tdataarea[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataarea[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataarea[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tableKeys[] = "IDAREA";
	$tdataarea[".Keys"] = $tableKeys;

//	IDAREA
	$fdata = array();
	$fdata["strName"] = "IDAREA";
	$fdata["ownerTable"] = "area";
		
		
		
	$fdata["FieldType"]= 3;
	
		$fdata["AutoInc"]=true;
	
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "IDAREA";
	
		$fdata["FullName"]= "IDAREA";
	
		$fdata["IsRequired"]=true; 
	
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$fdata["validateAs"]["basicValidate"][] = "IsRequired";
	
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataarea["IDAREA"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "area";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "Region";
	
		
		
		
		
		
				$fdata["Index"]= 2;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=50";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataarea["Region"]=$fdata;
//	Area Name
	$fdata = array();
	$fdata["strName"] = "Area Name";
	$fdata["ownerTable"] = "area";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Area_Name";
	
		$fdata["FullName"]= "`Area Name`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataarea["Area Name"]=$fdata;
//	Description
	$fdata = array();
	$fdata["strName"] = "Description";
	$fdata["ownerTable"] = "area";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Description";
	
		$fdata["FullName"]= "Description";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataarea["Description"]=$fdata;

	
$tables_data["area"]=&$tdataarea;
$field_labels["area"] = &$fieldLabelsarea;
$fieldToolTips["area"] = &$fieldToolTipsarea;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["area"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["area"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto376=array();
$proto376["m_strHead"] = "SELECT";
$proto376["m_strFieldList"] = "IDAREA,   Region,   `Area Name`,   Description";
$proto376["m_strFrom"] = "FROM area";
$proto376["m_strWhere"] = "";
$proto376["m_strOrderBy"] = "";
$proto376["m_strTail"] = "";
$proto377=array();
$proto377["m_sql"] = "";
$proto377["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto377["m_column"]=$obj;
$proto377["m_contained"] = array();
$proto377["m_strCase"] = "";
$proto377["m_havingmode"] = "0";
$proto377["m_inBrackets"] = "0";
$proto377["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto377);

$proto376["m_where"] = $obj;
$proto379=array();
$proto379["m_sql"] = "";
$proto379["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto379["m_column"]=$obj;
$proto379["m_contained"] = array();
$proto379["m_strCase"] = "";
$proto379["m_havingmode"] = "0";
$proto379["m_inBrackets"] = "0";
$proto379["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto379);

$proto376["m_having"] = $obj;
$proto376["m_fieldlist"] = array();
						$proto381=array();
			$obj = new SQLField(array(
	"m_strName" => "IDAREA",
	"m_strTable" => "area"
));

$proto381["m_expr"]=$obj;
$proto381["m_alias"] = "";
$obj = new SQLFieldListItem($proto381);

$proto376["m_fieldlist"][]=$obj;
						$proto383=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "area"
));

$proto383["m_expr"]=$obj;
$proto383["m_alias"] = "";
$obj = new SQLFieldListItem($proto383);

$proto376["m_fieldlist"][]=$obj;
						$proto385=array();
			$obj = new SQLField(array(
	"m_strName" => "Area Name",
	"m_strTable" => "area"
));

$proto385["m_expr"]=$obj;
$proto385["m_alias"] = "";
$obj = new SQLFieldListItem($proto385);

$proto376["m_fieldlist"][]=$obj;
						$proto387=array();
			$obj = new SQLField(array(
	"m_strName" => "Description",
	"m_strTable" => "area"
));

$proto387["m_expr"]=$obj;
$proto387["m_alias"] = "";
$obj = new SQLFieldListItem($proto387);

$proto376["m_fieldlist"][]=$obj;
$proto376["m_fromlist"] = array();
												$proto389=array();
$proto389["m_link"] = "SQLL_MAIN";
			$proto390=array();
$proto390["m_strName"] = "area";
$proto390["m_columns"] = array();
$proto390["m_columns"][] = "IDAREA";
$proto390["m_columns"][] = "Region";
$proto390["m_columns"][] = "Area Name";
$proto390["m_columns"][] = "Description";
$obj = new SQLTable($proto390);

$proto389["m_table"] = $obj;
$proto389["m_alias"] = "";
$proto391=array();
$proto391["m_sql"] = "";
$proto391["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto391["m_column"]=$obj;
$proto391["m_contained"] = array();
$proto391["m_strCase"] = "";
$proto391["m_havingmode"] = "0";
$proto391["m_inBrackets"] = "0";
$proto391["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto391);

$proto389["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto389);

$proto376["m_fromlist"][]=$obj;
$proto376["m_groupby"] = array();
$proto376["m_orderby"] = array();
$obj = new SQLQuery($proto376);

$queryData_area = $obj;
$tdataarea[".sqlquery"] = $queryData_area;

$tableEvents["area"] = new eventsBase;

?>
